Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QTextFormat.FormatType

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QTextFormat.FormatType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QTextFormat

    public static final class QTextFormat.FormatType

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QTextFormat.FormatType` | `BlockFormat`
`static QTextFormat.FormatType` | `CharFormat`
`static QTextFormat.FormatType` | `FrameFormat`
`static QTextFormat.FormatType` | `InvalidFormat`
`static QTextFormat.FormatType` | `ListFormat`
`static QTextFormat.FormatType` | `TableFormat`
`static QTextFormat.FormatType` | `UserFormat`

Method Summary
`static QTextFormat.FormatType` | `resolve(int value)` Returns the FormatType constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextFormat.FormatType` | `valueOf(java.lang.String name)`
`static QTextFormat.FormatType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### InvalidFormat

    public static final QTextFormat.FormatType InvalidFormat

### BlockFormat

    public static final QTextFormat.FormatType BlockFormat

### CharFormat

    public static final QTextFormat.FormatType CharFormat

### ListFormat

    public static final QTextFormat.FormatType ListFormat

### TableFormat

    public static final QTextFormat.FormatType TableFormat

### FrameFormat

    public static final QTextFormat.FormatType FrameFormat

### UserFormat

    public static final QTextFormat.FormatType UserFormat

Method Detail

### values

    public static QTextFormat.FormatType[] values()

### valueOf

    public static QTextFormat.FormatType valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTextFormat.FormatType resolve(int value)

  Returns the FormatType constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD